# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.531   -> 1.532  
#	drivers/usb/media/Makefile	1.3     -> 1.4    
#	drivers/usb/image/Makefile	1.5     -> 1.6    
#	drivers/usb/net/Makefile	1.3     -> 1.4    
#	drivers/usb/input/Makefile	1.2     -> 1.3    
#	drivers/usb/serial/Makefile	1.7     -> 1.8    
#	drivers/usb/class/Makefile	1.4     -> 1.5    
#	drivers/usb/misc/Makefile	1.4     -> 1.5    
#	drivers/usb/Makefile	1.23    -> 1.24   
#	drivers/usb/host/Makefile	1.5     -> 1.6    
#	drivers/usb/core/Makefile	1.2     -> 1.3    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/16	kai@tp1.ruhr-uni-bochum.de	1.532
# Rename O_TARGET to <subdir>.o in drivers/usb.
# --------------------------------------------
#
diff -Nru a/drivers/usb/Makefile b/drivers/usb/Makefile
--- a/drivers/usb/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/Makefile	Fri Apr 19 09:30:56 2002
@@ -9,7 +9,7 @@
 
 subdir-$(CONFIG_USB)		+= core
 ifeq ($(CONFIG_USB),y)
-	obj-y += core/usb-core.o
+	obj-y += core/core.o
 endif
 
 subdir-$(CONFIG_USB_EHCI_HCD)	+= host
@@ -18,7 +18,7 @@
 subdir-$(CONFIG_USB_UHCI_ALT)	+= host
 subdir-$(CONFIG_USB_UHCI)	+= host
 ifeq ($(CONFIG_USB_HOST),y)
-	obj-y += host/usb-host.o
+	obj-y += host/host.o
 endif
 
 subdir-$(CONFIG_USB_ACM)	+= class
@@ -26,7 +26,7 @@
 subdir-$(CONFIG_USB_BLUETOOTH)	+= class
 subdir-$(CONFIG_USB_PRINTER)	+= class
 ifeq ($(CONFIG_USB_CLASS),y)
-	obj-y += class/usb-class.o
+	obj-y += class/class.o
 endif
 
 subdir-$(CONFIG_USB_STORAGE)	+= storage
@@ -39,7 +39,7 @@
 subdir-$(CONFIG_USB_MOUSE)	+= input
 subdir-$(CONFIG_USB_WACOM)	+= input
 ifeq ($(CONFIG_USB_INPUT),y)
-	obj-y += input/usb-input.o
+	obj-y += input/input.o
 endif
 
 subdir-$(CONFIG_USB_DABUSB)	+= media
@@ -52,7 +52,7 @@
 subdir-$(CONFIG_USB_STV680)	+= media
 subdir-$(CONFIG_USB_VICAM)	+= media
 ifeq ($(CONFIG_USB_MEDIA),y)
-	obj-y += media/usb-media.o
+	obj-y += media/media.o
 endif
 
 subdir-$(CONFIG_USB_CATC)	+= net
@@ -62,7 +62,7 @@
 subdir-$(CONFIG_USB_RTL8150)	+= net
 subdir-$(CONFIG_USB_USBNET)	+= net
 ifeq ($(CONFIG_USB_NET),y)
-	obj-y += net/usb-net.o
+	obj-y += net/net.o
 endif
 
 subdir-$(CONFIG_USB_DC2XX)	+= image
@@ -71,12 +71,12 @@
 subdir-$(CONFIG_USB_MICROTEK)	+= image
 subdir-$(CONFIG_USB_SCANNER)	+= image
 ifeq ($(CONFIG_USB_IMAGE),y)
-	obj-y += image/usb-image.o
+	obj-y += image/image.o
 endif
 
 subdir-$(CONFIG_USB_SERIAL)	+= serial
 ifeq ($(CONFIG_USB_SERIAL),y)
-	obj-y += serial/usb-serial.o
+	obj-y += serial/serial.o
 endif
 
 subdir-$(CONFIG_USB_AUERSWALD)	+= misc
@@ -85,7 +85,7 @@
 subdir-$(CONFIG_USB_TIGL)	+= misc
 subdir-$(CONFIG_USB_USS720)	+= misc
 ifeq ($(CONFIG_USB_MISC),y)
-	obj-y += misc/usb-misc.o
+	obj-y += misc/misc.o
 endif
 
 include $(TOPDIR)/Rules.make
diff -Nru a/drivers/usb/class/Makefile b/drivers/usb/class/Makefile
--- a/drivers/usb/class/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/class/Makefile	Fri Apr 19 09:30:56 2002
@@ -3,7 +3,7 @@
 # (one step up from the misc category)
 #
 
-O_TARGET	:= usb-class.o
+O_TARGET	:= class.o
 
 obj-$(CONFIG_USB_ACM)		+= cdc-acm.o
 obj-$(CONFIG_USB_AUDIO)		+= audio.o
diff -Nru a/drivers/usb/core/Makefile b/drivers/usb/core/Makefile
--- a/drivers/usb/core/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/core/Makefile	Fri Apr 19 09:30:56 2002
@@ -2,7 +2,7 @@
 # Makefile for USB Core files and filesystem
 #
 
-O_TARGET	:= usb-core.o
+O_TARGET	:= core.o
 
 export-objs	:= usb.o hcd.o
 
diff -Nru a/drivers/usb/host/Makefile b/drivers/usb/host/Makefile
--- a/drivers/usb/host/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/host/Makefile	Fri Apr 19 09:30:56 2002
@@ -3,7 +3,7 @@
 # framework and drivers
 #
 
-O_TARGET	:= usb-host.o
+O_TARGET	:= host.o
 
 obj-$(CONFIG_USB_EHCI_HCD)	+= ehci-hcd.o
 obj-$(CONFIG_USB_OHCI_HCD)	+= ohci-hcd.o
diff -Nru a/drivers/usb/image/Makefile b/drivers/usb/image/Makefile
--- a/drivers/usb/image/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/image/Makefile	Fri Apr 19 09:30:56 2002
@@ -2,7 +2,7 @@
 # Makefile for USB Image drivers
 #
 
-O_TARGET	:= usb-image.o
+O_TARGET	:= image.o
 
 obj-$(CONFIG_USB_MDC800)	+= mdc800.o
 obj-$(CONFIG_USB_HPUSBSCSI)	+= hpusbscsi.o
diff -Nru a/drivers/usb/input/Makefile b/drivers/usb/input/Makefile
--- a/drivers/usb/input/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/input/Makefile	Fri Apr 19 09:30:56 2002
@@ -2,7 +2,7 @@
 # Makefile for the USB input drivers
 #
 
-O_TARGET	:= usb-input.o
+O_TARGET	:= input.o
 
 # Multipart objects.
 hid-objs	:= hid-core.o
diff -Nru a/drivers/usb/media/Makefile b/drivers/usb/media/Makefile
--- a/drivers/usb/media/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/media/Makefile	Fri Apr 19 09:30:56 2002
@@ -2,7 +2,7 @@
 # Makefile for USB Media drivers
 #
 
-O_TARGET	:= usb-media.o
+O_TARGET	:= media.o
 
 export-objs	:= ov511.o pwc-uncompress.o
 
diff -Nru a/drivers/usb/misc/Makefile b/drivers/usb/misc/Makefile
--- a/drivers/usb/misc/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/misc/Makefile	Fri Apr 19 09:30:56 2002
@@ -3,7 +3,7 @@
 # (the ones that don't fit into any other categories)
 #
 
-O_TARGET	:= usb-misc.o
+O_TARGET	:= misc.o
 
 obj-$(CONFIG_USB_AUERSWALD)	+= auerswald.o
 obj-$(CONFIG_USB_EMI26)		+= emi26.o
diff -Nru a/drivers/usb/net/Makefile b/drivers/usb/net/Makefile
--- a/drivers/usb/net/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/net/Makefile	Fri Apr 19 09:30:56 2002
@@ -2,7 +2,7 @@
 # Makefile for USB Network drivers
 #
 
-O_TARGET	:= usb-net.o
+O_TARGET	:= net.o
 
 obj-$(CONFIG_USB_CATC)		+= catc.o
 obj-$(CONFIG_USB_CDCETHER)	+= cdc-ether.o
diff -Nru a/drivers/usb/serial/Makefile b/drivers/usb/serial/Makefile
--- a/drivers/usb/serial/Makefile	Fri Apr 19 09:30:56 2002
+++ b/drivers/usb/serial/Makefile	Fri Apr 19 09:30:56 2002
@@ -2,7 +2,7 @@
 # Makefile for the USB serial device drivers.
 #
 
-O_TARGET	:= usb-serial.o
+O_TARGET	:= serial.o
 
 # Object file lists.
 
